
-------------------------------------------------------------------------------
-- Escalate 1 -> 2

add_wave_ping_event_wait(0)

add_wave(function ()
  return waves_sequential(
    wait_none(),
    waves_repeat(
    {
      wave_spawn(pos_random_free_tiles(2), CPP_boss_sheep_meteorite_spawn),
    },
    8,
    0.5))
end)

-------------------------------------------------------------------------------
-- Escalate 2 -> 3

add_wave_ping_event_wait(0)

add_wave(function ()
  return waves_sequential(
    wait_none(),
    waves_repeat(
    {
      wave_spawn(pos_random_free_tiles(3), CPP_boss_sheep_meteorite_spawn),
    },
    7,
    0.4))
end)
